Bug 520567 - qemu-img allows to create snapshots with the same name
Summary: qemu-img allows to create snapshots with the same name
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Lawrence Lim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 07:18 UTC by Cao, Chen
Modified: 2014-03-26 01:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-29 22:16:47 UTC


Attachments (Terms of Use)

Description Cao, Chen 2009-09-01 07:18:03 UTC
Description of problem:
qemu-img allows to create snapshots with the same name by:

$ qemu-img snapshot -c test01 a.qcow2

which, I think, should be banned, otherwise applying snapshot(s)
would be weird.


Version-Release number of selected component (if applicable):
kvm-83-105.el5


How reproducible:
100% reproducible


Steps to Reproduce:
1. using command:
$ for i in $(seq 1 20); do qemu-img snapshot -c test01 a.qcow2 ;  qemu-img info a.qcow2 ; done
2.
3.
  
Actual results:
qemu-img will create 20 snapshots with the same name.


Expected results:
creating snapshots with an existed name should be banned.


Additional info:

Comment 1 Dor Laor 2009-10-29 22:16:47 UTC
I guess the purpose there is to run down the previous snapshot.


Note You need to log in before you can comment on or make changes to this bug.